Subject: kludging a lujvo expander

From: [email-masked]
Date: Tue, 11 Sep 2001 08:23:44 -0000

i looked at richard curnow's jbofi'e and the software on lojban.org's 
sight, and saw some useful utilities, but nothing that would quickly 
expand all the lujvos into gismu. so i'm going to try to kludge 
something together that rather simply examines a word to make sure 
it's not a cmavo or compound cmavo, then attempts to expand its 
compenent rafsi into gismu (or cmavo). i'll put some demarker so you 
can see where it's made the substition. ideally of course, i'd hack 
the parser or glosser directly to do this, but just doing it myself 
is actually easier (i don't even have a linux box running now).

i think i'll end up doing it as a java function so i can put it into 
an applet or something later if need be. is anybody else interested 
in it? since it's so less than elegant i'll probably just end up 
using it for myself, but i'd be glad to give out the url if i end up 
putting it out as a web app, or if someone wants the code/bytecode.